Announcement

Collapse
No announcement yet.

List of iOS and Android devices that are currently supported by Smurfs' Village

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • List of iOS and Android devices that are currently supported by Smurfs' Village

    Since the game was first developed, a wide range of new mobile devices have entered the market. Keeping The Smurfs' Village optimized for each of those devices takes a great deal of time and resources. Over time certain devices have stopped being supported, while others have become less compatible with the game. Unfortunately, sometimes Bongfish may not be able to correct issues that arise with those older devices. Bongfish apologizes for any inconvenience this may cause.

    For Apple iOS devices, the current requirements are iOS 7.0 or later, with a minimum of at least 512 MB RAM. The following list of devices are not currently supported.

    iPhone:
    • iPhone 1st Gen (128 MB LPDDR DRAM)
    • iPhone 3G (128 MB LPDDR DRAM)
    • Phone 3GS (256 MB LPDDR DRAM)
    • iPhone 4 (512 MB LPDDR2 DRAM)
    iPod Touch:
    • iPod Touch 1st Gen (128 MB LPDDR DRAM)
    • iPod Touch 2nd Gen (128 MB LPDDR DRAM)
    • iPod Touch 3rd Gen (256 MB LPDDR DRAM)
    • iPod Touch 4th Gen (256 MB LPDDR DRAM)
    iPad:
    • iPad 1st Gen (256 MB LPDDR RAM)
    The following list of Apple iOS devices are still supported. Please note however that due to their age and hardware limitations, players may encounter issues that detract from the overall gameplay. This is especially true on the iPhone 4S, iPod Touch 5th Gen, iPad 2, iPad 3rd Gen, and iPad Mini 1st Gen.

    iPhone:
    • Phone 4S (512 MB LPDDR2 RAM)
    • iPhone 5 (1GB LPDDR2 RAM)
    • iPhone 5C (1GB LPDDR2 RAM)
    • iPhone 5S (1GB LPDDR3 RAM)
    iPod Touch:
    • iPod Touch 5th Gen (512 MB LPDDR2 RAM)
    iPad:
    • iPad 2 (512 LPDDR2 RAM)
    • iPad 3rd Gen (1GB LPDDR2 RAM)
    • iPad 4th Gen (1GB LPDDR2 RAM)
    • iPad Mini 1st Gen (512 DDR2 RAM)
    The following list of Apple devices are fully supported. Players who have upgraded to these newer devices from older devices report improved gameplay.

    iPhone:
    • iPhone 6 (1GB LPDDR3 RAM)
    • iPhone 6 Plus (1 GB LPDDR3 RAM)
    iPod Touch:
    • iPod Touch 6th Gen (1GB LPDDR3 RAM)
    iPad:
    • iPad Air (1GB LPDDR3 DRAM)
    • iPad Mini 2nd Gen (1GB LPDDR3 RAM)
    • iPad Mini 3rd Gen (1GB LPDDR3 RAM)
    The following list of Apple iOS devices have hardware that will ensure they'll be supported well into the foreseeable future. They will also provide the best overall gameplay experience for the iOS version.

    iPhone:
    • iPhone SE (2GB LPDDR4 RAM)
    • iPhone 6S (2GB LPDDR4 RAM)
    • iPhone 6S Plus (2GB LPDDR4 DRAM)
    • iPhone 7 (2GB LPDDR4 DRAM)
    • iPhone 7 Plus (3GB LPDDR4 RAM)
    • iPhone 8 (2GB LPDDR4X RAM)
    • iPhone 8 Plus (3GB LPDDR4X RAM)
    • iPhone X ( 3GB LPDDR4X RAM)
    iPod Touch:
    • NA
    iPad:
    • iPad Mini 4th Gen (2GB LPDDR3 RAM)
    • iPad Air 2 (2GB LBDDR3 RAM)
    • iPad (2017) (2 GB LPDDR4 RAM
    • iPad Pro 9.7 inch (2GB LPDDR4 RAM)
    • iPad Pro 10.5 inch (4GB LPDDR4 RAM
    • iPad Pro 12.9 inch (4GB LPDDR4 RAM)
    If you experience any iOS version issues on your Apple iOS device, please submit a ticket to Bongfish Customer Support, or make a post here in the Smurfs' Village New or ongoing problems section of our Community Forums.

  • #2
    Since the game was first developed, a wide range of new mobile devices have entered the market. Keeping The Smurfs' Village optimized for each of those devices takes a great deal of time and resources. Over time certain devices have stopped being supported, while others have become less compatible with the game. Unfortunately, sometimes Bongfish may not be able to correct issues that arise with those older devices. Bongfish apologizes for any inconvenience this may cause.

    Amazon Kindle Fire devices run a forked version of Google's Android OS called Fire OS. Recently, the minimum OS requirement for Android devices was changed to Android 4.1 (Jelly Bean) or later. This meant that the minimum OS requirement also changed for Fire devices to Fire OS 3 (Mojito) or later since it is based on Android 4.1 (Jelly Bean). The following list of devices are not currently supported.

    Kindle Fire:
    • Fire 1st Gen 7 inch (2011)
    • Fire 2nd Gen 7 inch (2012)
    Kindle Fire HD:
    • Fire HD 2nd Gen 7 inch (2012)
    • Fire HD 2.5th Gen 8.9 inch (2012)
    The following list of Amazon Kindle Fire devices are currently supported.

    Kindle Fire:
    • Fire 5th Gen 7 inch (2015)
    Kindle Fire HD:
    • Fire HD 3rd Gen 7 inch (2013)
    • Fire HD 4th Gen 6 inch (2014)
    • Fire HD 4th Gen 7 inch (2014)
    • Fire HD 5th Gen 8 inch (2015)
    • Fire HD 5th Gen 10 inch (2015)
    Kindle Fire HDX:
    • Fire HDX 3rd Gen 7 inch (2013)
    • Fire HDX 3rd Gen 8.9 inch (2013)
    • Fire HDX 4th Gen 8.9 inch (2014)
    If you experience any Android version issues on your Kindle Fire device, please submit a ticket to Bongfish Customer Support, or make a post here in the Smurfs' Village New or ongoing problems section of our Community Forums.

    Comment


    • #3
      Since the game was first developed, a wide range of new mobile devices have entered the market. Keeping The Smurfs' Village optimized for each of those devices takes a great deal of time and resources. Over time certain devices have stopped being supported, while others have become less compatible with the game. Unfortunately, sometimes Bongfish may not be able to correct issues that arise with those older devices. Bongfish apologizes for any inconvenience this may cause.

      Recently the minimum OS requirement for Android devices was changed to Android 4.1 (Jelly Bean) or later. Devices running earlier versions of Android can no longer officially download the newest game updates from the Google Play Store.


      With Apple iOS devices and Amazon Kindle Fire OS devices, there are a set number of hardware configurations for which Smurfs' Village is either compatible, or not compatible. On devices running Google's Android OS, it's a different story entirely.

      At this point in time there are tens of thousands of different devices being put out by a large number of different companies around the world. These Android devices have a wide range of screen sizes, processors, memory, storage, and many are released with outdated versions of the Android OS. To make matters worse, brand new Android devices purchased recently are not even guaranteed that they will receive new Android updates for a variety of reasons. This is called Fragmentation, and for Android users it is a source of major frustration.

      Developers strive to make their games compatible with as many Android devices as possible. Despite these efforts, some Android hardware may experience issues that are confined only to those certain devices or from certain manufacturers.

      The best advice is to make sure your Android device is running at the very minimum, Android 4.1 (Jelly Bean). Research your device and check to see where it falls on the low to high end hardware scale.

      Devices with older, lower end processors and limited amounts of RAM (under 1GB) will obviously be more problematic. Newer devices should handle the game much better. Again, despite being newer there still may be instances of glitches or bugs that are unique to that device, or from that manufacturer.

      If you are having issues with downloading the app from the Google Play Store even though you should meet the OS requirements, submit a ticket with Customer Support. If they are unable to resolve it, please leave a comment below this post that includes information about your device and I will edit this post to include it. Similarly, if you are playing on an Android device without any compatibly issues, please leave a comment below that includes information about your device and I will edit this post to include that too.


      The following list of Android devices are not currently supported

      Phones:
      • NA
      Tablets:
      • NA
      The following list of Android devices are currently supported but may have some compatibility issues

      Phones:
      • Samsung Galaxy S3 1 GB RAM International (2012)
      Tablets:
      • Samsung Galaxy Tab A 8.0 (2015)
      • Samsung Galaxy Tab A 9.7 (2015)
      • Nexus 7 1st Gen (2012)
      • Nexus 7 2nd Gen (2013)
      The following list of Android devices are currently supported:

      Phones:
      • NA
      Tablets:
      • NA
      Update:

      As of February 2018, Bongfish recommends using a device running Android OS 4.1 and above a minimum of at least 1GB of RAM. While it is still tonically possible to install Smurfs' Village on devices with 512 GB of RAM, their performance will be severely hindered by the lack of RAM, resulting in a less enjoyable experience.


      If you experience any Android version issues on your Android device, please submit a ticket to Bongfish Customer Support, or make a post here in the Smurfs' Village New or ongoing problems section of our Community Forums.

      Comment

      Working...
      X